Bug 159788 - IllegalArgumentException: Must provide a nonempty or null job name: JavaApplication - Svn
IllegalArgumentException: Must provide a nonempty or null job name: JavaAppli...
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 14:12 UTC by Petr Dvorak
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (651 bytes, text/plain)
2009-03-06 14:12 UTC, Petr Dvorak
Details
IDE Log File (47.25 KB, text/plain)
2009-03-06 14:14 UTC, Petr Dvorak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-03-06 14:12:36 UTC
Build: NetBeans IDE Dev (Build Kenai API - Hg fetch-36-on-090306)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-12-generic, i386

User Comments:
joshis: I attempted to add a Hudson job with name "JavaApplication - Svn" for the project "JavaApplicationSvn".



Stacktrace: 
java.lang.IllegalArgumentException: Must provide a nonempty or null job name: JavaApplication - Svn
        at org.netbeans.modules.hudson.spi.ProjectHudsonProvider$Association.<init>(ProjectHudsonProvider.java:133)
        at org.netbeans.modules.hudson.ui.actions.CreateJob.finalizeJob(CreateJob.java:107)
        at org.netbeans.modules.hudson.ui.actions.CreateJob.access$000(CreateJob.java:68)
        at org.netbeans.modules.hudson.ui.actions.CreateJob$1.run(CreateJob.java:89)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 1 Petr Dvorak 2009-03-06 14:12:47 UTC
Created attachment 77816 [details]
stacktrace
Comment 2 Petr Dvorak 2009-03-06 14:14:00 UTC
Created attachment 77818 [details]
IDE Log File
Comment 3 Petr Dvorak 2009-03-06 14:16:42 UTC
Probably the spaces in a job name are not handled properly (but it should be possible to have jobs with spaces). A
browser was opened on 404 page (link contained + where the space should have been).

The job was created on Hudson in spite of the exception and it was possible to run it from the IDE with no problems (the
node was visible in Hudson).
Comment 4 Jesse Glick 2009-03-06 21:20:46 UTC
While it is possible to have a job name containing spaces in Hudson, I do not recommend it, as this name is used heavily
in URLs and you are opening yourself up to all sorts of potential bugs in various software components. cdev #03800a2ab9f7
Comment 5 Quality Engineering 2009-03-17 08:45:03 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/03800a2ab9f7
User: Jesse Glick <jglick@netbeans.org>
Log: #159788: support for job names containing spaces.
Comment 6 Petr Dvorak 2009-03-31 12:56:12 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo